Debian Bug report logs - #619275
Perl Policy change to document major version upgrade trigger

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Tue, 22 Mar 2011 16:39:08 UTC

Severity: wishlist

Found in version debian-policy/3.9.1.0

Fixed in version debian-policy/3.9.3.0

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, perl@packages.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Tue, 22 Mar 2011 16:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to perl@packages.debian.org, Debian Policy List <debian-policy@lists.debian.org>. (Tue, 22 Mar 2011 16:39:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: Perl Policy change to document major version upgrade trigger
Date: Tue, 22 Mar 2011 16:35:16 +0000
[Message part 1 (text/plain, inline)]
Package: debian-policy
Version: 3.9.1.0

Dear Policy maintainers,

A not-so-recent bug report, #230308, raised the issue of how a long-running
program which would be broken (until restart) by a major Perl package upgrade
(eg from 5.10 to 5.12) could be notified of such a restart. There was a rough
consensus on that bug report that, once triggers were available, they could
be used as means to this end, as proposed on that bug report.

I recently posted a message about this issue to debian-devel
(<20110226190032.GF4803@urchin.earth.li>) which was met by a resounding
silence. Evidently this isn't a very exciting proposal, but perhaps this
does not mean it is not worth implementing. I would like to enable a
graceful resolution to such problematic situations as spamassassin silently
breaking during a partial upgrade (the topic of the original bug report).

As such, perl 5.12.3-2, currently in experimental, implements the perl
half of this fix, by triggering the perl-major-upgrade trigger if it is
upgraded from a version older than 5.12.0. I've tested this against a
modification of the spamassassin package which implements the receiving
side of the proposal, with success. The implementation is for all
practical purposes identical to the proof of concept posted by Niko to
the original bug.

My proposed modification to the Perl policy is a new section entitled
"Upgrades", attached as a patch against git.

Thanks,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
[0001-Describe-the-Perl-upgrade-trigger.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Tue, 22 Mar 2011 20:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 22 Mar 2011 20:21:10 GMT) Full text and rfc822 format available.

Message #10 received at 619275@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: debian-perl@lists.debian.org
Cc: 619275@bugs.debian.org, Dominic Hargreaves <dom@earth.li>
Subject: Re: Perl Policy change to document major version upgrade trigger
Date: Tue, 22 Mar 2011 15:19:44 -0500
Dominic Hargreaves wrote:

> A not-so-recent bug report, #230308, raised the issue of how a long-running
> program which would be broken (until restart) by a major Perl package upgrade
> (eg from 5.10 to 5.12) could be notified of such a restart. There was a rough
> consensus on that bug report that, once triggers were available, they could
> be used as means to this end, as proposed on that bug report.

Thanks, Dominic.  Cc-ing debian-perl for seconds and other thoughts.

[...]
> As such, perl 5.12.3-2, currently in experimental, implements the perl
> half of this fix, by triggering the perl-major-upgrade trigger if it is
> upgraded from a version older than 5.12.0. I've tested this against a
> modification of the spamassassin package which implements the receiving
> side of the proposal, with success. The implementation is for all
> practical purposes identical to the proof of concept posted by Niko to
> the original bug.
>
> My proposed modification to the Perl policy is a new section entitled
> "Upgrades", attached as a patch against git.

Signed-off-by: Dominic Hargreaves <dom@earth.li>
---
 perl-policy.sgml |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

diff --git a/perl-policy.sgml b/perl-policy.sgml
index b9f3277..47cf9f6 100644
--- a/perl-policy.sgml
+++ b/perl-policy.sgml
@@ -461,6 +461,26 @@ perl -MExtUtils::Embed -e ldopts
 	  package must depend upon it explicitly.
 	</p>
       </sect>
+
+      <sect id="perl_upgrades">
+        <heading>Perl Package Upgrades</heading>
+        <p>
+          Starting from <package>perl</package> 5.12.3-2, a dpkg trigger
+          named <var>perl-major-upgrade</var> will be triggered by the
+          postinst of the <package>perl</package> package during major
+          upgrades. Some examples of things which consitute a major upgrade
+          are an upgrade which would change the value of versioned
+          directories in <tt>@INC</tt>, or one which changes <tt>abiname</tt>.
+          Any package may declare an interest in the trigger, especially
+          packages including long-running daemons which would stop working
+          until restart.
+        </p>
+        <p>
+          It is suggested that such packages include an appropriate section
+          in their postinst to handle the trigger by restarting relevant
+          daemons or notifying users of further action.
+        </p>
+      </sect>
     </chapt>
 
     <appendix id="perl6">
-- 
1.7.0.4





Added tag(s) patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 22 Mar 2011 20:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Fri, 25 Mar 2011 07:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 25 Mar 2011 07:42:13 GMT) Full text and rfc822 format available.

Message #17 received at 619275@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 619275@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Fri, 25 Mar 2011 08:31:51 +0100
[Message part 1 (text/plain, inline)]
Hi Dominic

Only read trough yet (but not native english speaker):

On Tue, Mar 22, 2011 at 04:35:16PM +0000, Dominic Hargreaves wrote:
> Signed-off-by: Dominic Hargreaves <dom@earth.li>
> ---
>  perl-policy.sgml |   20 ++++++++++++++++++++
>  1 files changed, 20 insertions(+), 0 deletions(-)
> 
> diff --git a/perl-policy.sgml b/perl-policy.sgml
> index b9f3277..47cf9f6 100644
> --- a/perl-policy.sgml
> +++ b/perl-policy.sgml
> @@ -461,6 +461,26 @@ perl -MExtUtils::Embed -e ldopts
>  	  package must depend upon it explicitly.
>  	</p>
>        </sect>
> +
> +      <sect id="perl_upgrades">
> +        <heading>Perl Package Upgrades</heading>
> +        <p>
> +          Starting from <package>perl</package> 5.12.3-2, a dpkg trigger
> +          named <var>perl-major-upgrade</var> will be triggered by the
> +          postinst of the <package>perl</package> package during major
> +          upgrades. Some examples of things which consitute a major upgrade

consitute -> constitute

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Fri, 25 Mar 2011 09:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 25 Mar 2011 09:36:03 GMT) Full text and rfc822 format available.

Message #22 received at 619275@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 619275@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Fri, 25 Mar 2011 09:33:01 +0000
On Fri, Mar 25, 2011 at 08:31:51AM +0100, Salvatore Bonaccorso wrote:
> On Tue, Mar 22, 2011 at 04:35:16PM +0000, Dominic Hargreaves wrote:

> > @@ -461,6 +461,26 @@ perl -MExtUtils::Embed -e ldopts
> >  	  package must depend upon it explicitly.
> >  	</p>
> >        </sect>
> > +
> > +      <sect id="perl_upgrades">
> > +        <heading>Perl Package Upgrades</heading>
> > +        <p>
> > +          Starting from <package>perl</package> 5.12.3-2, a dpkg trigger
> > +          named <var>perl-major-upgrade</var> will be triggered by the
> > +          postinst of the <package>perl</package> package during major
> > +          upgrades. Some examples of things which consitute a major upgrade
> 
> consitute -> constitute

Thanks, fixed in my repo.

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Fri, 25 Mar 2011 10:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 25 Mar 2011 10:42:03 GMT) Full text and rfc822 format available.

Message #27 received at 619275@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 619275@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Fri, 25 Mar 2011 12:38:19 +0200
On Tue, Mar 22, 2011 at 04:35:16PM +0000, Dominic Hargreaves wrote:
> +
> +      <sect id="perl_upgrades">
> +        <heading>Perl Package Upgrades</heading>
> +        <p>
> +          Starting from <package>perl</package> 5.12.3-2, a dpkg trigger
> +          named <var>perl-major-upgrade</var> will be triggered by the
> +          postinst of the <package>perl</package> package during major
> +          upgrades. Some examples of things which consitute a major upgrade
> +          are an upgrade which would change the value of versioned
> +          directories in <tt>@INC</tt>, or one which changes <tt>abiname</tt>.
> +          Any package may declare an interest in the trigger, especially
> +          packages including long-running daemons which would stop working
> +          until restart.
> +        </p>
> +        <p>
> +          It is suggested that such packages include an appropriate section
> +          in their postinst to handle the trigger by restarting relevant
> +          daemons or notifying users of further action.
> +        </p>
> +      </sect>

While I do think this is a nice solution, I've got a couple of concerns:

- is this overkill? Would it be enough for the long running daemons to just
  register an interest in a file trigger on /usr/bin/perl ? This means
  minor perl upgrades will activate the trigger too, but that may well
  be a good thing - think of security fixes and the like. (OTOH, this
  approach doesn't help daemons embedding libperl...)

- is it too early to put this in policy? Generally policy documents existing
  practice, but no package is using this yet. Should we wait for at least some
  level of adoption, probably by filing wishlist bugs on known affected daemons
  like spamassassin, and see how it works out first?

-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Fri, 25 Mar 2011 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 25 Mar 2011 22:33:03 GMT) Full text and rfc822 format available.

Message #32 received at 619275@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 619275@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Fri, 25 Mar 2011 22:31:24 +0000
On Fri, Mar 25, 2011 at 12:38:19PM +0200, Niko Tyni wrote:
> While I do think this is a nice solution, I've got a couple of concerns:
> 
> - is this overkill? Would it be enough for the long running daemons to just
>   register an interest in a file trigger on /usr/bin/perl ? This means
>   minor perl upgrades will activate the trigger too, but that may well
>   be a good thing - think of security fixes and the like. (OTOH, this
>   approach doesn't help daemons embedding libperl...)

As a consumer of the interface (ie the package wanting to be triggered)
I would prefer an explicit declaration of intent for the trigger, rather
than just watching /usr/bin/perl, for the specific instances where I can
know (or have a good hunch) that my software will break. The more
general problem of ensuring that all changes are reflected in running
processes is not something that I think we can tackle alone (it's not at
all perl-specific, unlike the problem this change is intended to solve).

The principle of least surprise probably applies here too. We shouldn't
(in an adhoc way, without distribution-wide take-up) be encouraging
daemons to stop and start when they would actually carry on working
without that action.

I would love to see some more general project infrastructure for ensuring
that the right daemons are given the chance to be restarted after *any*
upgrade of packages they depend on, but that's a separate issue.

> - is it too early to put this in policy? Generally policy documents existing
>   practice, but no package is using this yet. Should we wait for at least some
>   level of adoption, probably by filing wishlist bugs on known affected daemons
>   like spamassassin, and see how it works out first?

Yes, absolutely. I was anticipating having already filed a wishlist
bug at this point, but I was away from my main development system
which had my spamassassin patch on it, so ended up filing this bug
first :) Although I'd now like to be confident that we're doing the
right thing before filing bugs on other packages, so will wait for the
above discussion to pan out a bit first.

One of the reasons I worked on this was because I've been hit by
exactly this issue with spamassassin in the past; I'd appreciate
pointers for other software that would benefit from this change.

Cheers.
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Fri, 01 Apr 2011 07:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 01 Apr 2011 07:39:07 GMT) Full text and rfc822 format available.

Message #37 received at 619275@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 619275@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Fri, 1 Apr 2011 09:36:35 +0300
On Fri, Mar 25, 2011 at 10:31:24PM +0000, Dominic Hargreaves wrote:
> On Fri, Mar 25, 2011 at 12:38:19PM +0200, Niko Tyni wrote:
> > While I do think this is a nice solution, I've got a couple of concerns:
> > 
> > - is this overkill? Would it be enough for the long running daemons to just
> >   register an interest in a file trigger on /usr/bin/perl ? This means
> >   minor perl upgrades will activate the trigger too, but that may well
> >   be a good thing - think of security fixes and the like. (OTOH, this
> >   approach doesn't help daemons embedding libperl...)
> 
> As a consumer of the interface (ie the package wanting to be triggered)
> I would prefer an explicit declaration of intent for the trigger, rather
> than just watching /usr/bin/perl, for the specific instances where I can
> know (or have a good hunch) that my software will break. 

OK, I'm mostly convinced. (As I said that doesn't take much in this
case :)

I'd still like to see some adoption first. I suppose
 debtags search 'implemented-in::perl && interface::daemon'
would be a good start in finding likely candidates.

I suspect there aren't many: AFAICS the affected daemons are only those
ones that don't load all their modules at startup, but rather require()
them only when needed.

Given the silence so far, if more affected packages are found I don't
think this discussion should block filing wishlist bugs. 

OTOH, if spamassassin is the only package affected, do we really need a
policy change at all? I'm not really opposed to it, and it could benefit
future packages getting things right from the start, but it is a bit on
the heavy side IMO...
-- 
Niko Tyni   ntyni@debian.org




Severity set to 'wishlist' from 'normal' Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 04 Apr 2011 03:36:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Mon, 04 Apr 2011 03:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 04 Apr 2011 03:42:04 GMT) Full text and rfc822 format available.

Message #44 received at 619275@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Dominic Hargreaves <dom@earth.li>
Cc: 619275@bugs.debian.org
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Sun, 03 Apr 2011 20:32:09 -0700
Dominic Hargreaves <dom@earth.li> writes:

> From: Dominic Hargreaves <dom@earth.li>
> Date: Tue, 22 Mar 2011 16:11:29 +0000
> Subject: [PATCH] Describe the Perl upgrade trigger

> Signed-off-by: Dominic Hargreaves <dom@earth.li>
> ---
>  perl-policy.sgml |   20 ++++++++++++++++++++
>  1 files changed, 20 insertions(+), 0 deletions(-)

> diff --git a/perl-policy.sgml b/perl-policy.sgml
> index b9f3277..47cf9f6 100644
> --- a/perl-policy.sgml
> +++ b/perl-policy.sgml
> @@ -461,6 +461,26 @@ perl -MExtUtils::Embed -e ldopts
>  	  package must depend upon it explicitly.
>  	</p>
>        </sect>
> +
> +      <sect id="perl_upgrades">
> +        <heading>Perl Package Upgrades</heading>
> +        <p>
> +          Starting from <package>perl</package> 5.12.3-2, a dpkg trigger
> +          named <var>perl-major-upgrade</var> will be triggered by the
> +          postinst of the <package>perl</package> package during major
> +          upgrades. Some examples of things which consitute a major upgrade
> +          are an upgrade which would change the value of versioned
> +          directories in <tt>@INC</tt>, or one which changes <tt>abiname</tt>.
> +          Any package may declare an interest in the trigger, especially
> +          packages including long-running daemons which would stop working
> +          until restart.
> +        </p>
> +        <p>
> +          It is suggested that such packages include an appropriate section
> +          in their postinst to handle the trigger by restarting relevant
> +          daemons or notifying users of further action.
> +        </p>
> +      </sect>
>      </chapt>
>  
>      <appendix id="perl6">

Looks good to me.  Seconded.  (Note that this is a normative change since
it's placing a requirement on the Perl interpreter packaging that, if
changed later, would break packages that are relying on this
documentation.)

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Sat, 28 May 2011 19:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 28 May 2011 19:57:09 GMT) Full text and rfc822 format available.

Message #49 received at 619275@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: 619275@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Sat, 28 May 2011 21:53:52 +0200
On Fri, Apr 01, 2011 at 09:36:35AM +0300, Niko Tyni wrote:
> On Fri, Mar 25, 2011 at 10:31:24PM +0000, Dominic Hargreaves wrote:
> > On Fri, Mar 25, 2011 at 12:38:19PM +0200, Niko Tyni wrote:
> > > While I do think this is a nice solution, I've got a couple of concerns:
> > > 
> > > - is this overkill? Would it be enough for the long running daemons to just
> > >   register an interest in a file trigger on /usr/bin/perl ? This means
> > >   minor perl upgrades will activate the trigger too, but that may well
> > >   be a good thing - think of security fixes and the like. (OTOH, this
> > >   approach doesn't help daemons embedding libperl...)
> > 
> > As a consumer of the interface (ie the package wanting to be triggered)
> > I would prefer an explicit declaration of intent for the trigger, rather
> > than just watching /usr/bin/perl, for the specific instances where I can
> > know (or have a good hunch) that my software will break. 
> 
> OK, I'm mostly convinced. (As I said that doesn't take much in this
> case :)
> 
> I'd still like to see some adoption first. I suppose
>  debtags search 'implemented-in::perl && interface::daemon'
> would be a good start in finding likely candidates.
> 
> I suspect there aren't many: AFAICS the affected daemons are only those
> ones that don't load all their modules at startup, but rather require()
> them only when needed.
> 
> Given the silence so far, if more affected packages are found I don't
> think this discussion should block filing wishlist bugs. 
> 
> OTOH, if spamassassin is the only package affected, do we really need a
> policy change at all? I'm not really opposed to it, and it could benefit
> future packages getting things right from the start, but it is a bit on
> the heavy side IMO...

Is there progress on the implementation of this feature ?

So far there are a single second and Niko partial objection.

For my part, I think this is important that the feature be documented (if implemented)
but not necessarily in policy, at least until it is more than a proof of concept.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Sat, 28 May 2011 21:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 28 May 2011 21:39:05 GMT) Full text and rfc822 format available.

Message #54 received at 619275@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, 619275@bugs.debian.org
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Sat, 28 May 2011 23:35:31 +0200
[Message part 1 (text/plain, inline)]
On Sat, 28 May 2011 21:53:52 +0200, Bill Allombert wrote:

> Is there progress on the implementation of this feature ?

It's in perl 5.12.3 since the upload to unstable:

http://lists.debian.org/debian-devel-announce/2011/05/msg00006.html
 

Cheers,
gregor
 
-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - PGP/GPG key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Van Morrison: Ain't No Sunshine
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Sun, 29 May 2011 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 29 May 2011 15:36:03 GMT) Full text and rfc822 format available.

Message #59 received at 619275@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: 619275@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Sun, 29 May 2011 16:33:03 +0100
On Sat, May 28, 2011 at 09:53:52PM +0200, Bill Allombert wrote:
> Is there progress on the implementation of this feature ?
> 
> So far there are a single second and Niko partial objection.
> 
> For my part, I think this is important that the feature be documented (if implemented)
> but not necessarily in policy, at least until it is more than a proof of concept.

The functionality was implemented in 5.12.3-2; it reached unstable
at the start of May and was announced to d-d-a here:

<http://lists.debian.org/debian-devel-announce/2011/05/msg00006.html>

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Mon, 06 Jun 2011 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 06 Jun 2011 17:54:03 GMT) Full text and rfc822 format available.

Message #64 received at 619275@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: gregor herrmann <gregoa@debian.org>
Cc: 619275@bugs.debian.org, Dominic Hargreaves <dom@earth.li>, Niko Tyni <ntyni@debian.org>
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Mon, 6 Jun 2011 19:50:20 +0200
On Sat, May 28, 2011 at 11:35:31PM +0200, gregor herrmann wrote:
> On Sat, 28 May 2011 21:53:52 +0200, Bill Allombert wrote:
> 
> > Is there progress on the implementation of this feature ?
> 
> It's in perl 5.12.3 since the upload to unstable:
> 
> http://lists.debian.org/debian-devel-announce/2011/05/msg00006.html

So are you seconding this policy amendment ?

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Mon, 06 Jun 2011 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 06 Jun 2011 18:06:03 GMT) Full text and rfc822 format available.

Message #69 received at 619275@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: 619275@bugs.debian.org, Dominic Hargreaves <dom@earth.li>, Niko Tyni <ntyni@debian.org>
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Mon, 6 Jun 2011 20:02:46 +0200
[Message part 1 (text/plain, inline)]
On Mon, 06 Jun 2011 19:50:20 +0200, Bill Allombert wrote:

> > > Is there progress on the implementation of this feature ?
> > It's in perl 5.12.3 since the upload to unstable:
> > http://lists.debian.org/debian-devel-announce/2011/05/msg00006.html
> So are you seconding this policy amendment ?

If Niko and Dominic are happy with the implementation and the wording
(Niko seemed a bit hesitant in message #37 -- that's why I'm asking if
this is all settled in the meantime), I'm happy to second the
proposal.

Cheers,
gregor

-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - PGP/GPG key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Alanis Moristte: That I Would Be Good
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Mon, 06 Jun 2011 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 06 Jun 2011 18:27:03 GMT) Full text and rfc822 format available.

Message #74 received at 619275@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Salvatore Bonaccorso <carnil@debian.org>, 619275@bugs.debian.org
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Mon, 6 Jun 2011 20:25:31 +0200
On Fri, Mar 25, 2011 at 08:31:51AM +0100, Salvatore Bonaccorso wrote:
> Hi Dominic
> 
> Only read trough yet (but not native english speaker):
> 
> On Tue, Mar 22, 2011 at 04:35:16PM +0000, Dominic Hargreaves wrote:
> > Signed-off-by: Dominic Hargreaves <dom@earth.li>
> > ---
> >  perl-policy.sgml |   20 ++++++++++++++++++++
> >  1 files changed, 20 insertions(+), 0 deletions(-)
> > 
> > diff --git a/perl-policy.sgml b/perl-policy.sgml
> > index b9f3277..47cf9f6 100644
> > --- a/perl-policy.sgml
> > +++ b/perl-policy.sgml
> > @@ -461,6 +461,26 @@ perl -MExtUtils::Embed -e ldopts
> >  	  package must depend upon it explicitly.
> >  	</p>
> >        </sect>
> > +
> > +      <sect id="perl_upgrades">
> > +        <heading>Perl Package Upgrades</heading>
> > +        <p>
> > +          Starting from <package>perl</package> 5.12.3-2, a dpkg trigger
> > +          named <var>perl-major-upgrade</var> will be triggered by the
> > +          postinst of the <package>perl</package> package during major
> > +          upgrades. Some examples of things which consitute a major upgrade
> 
> consitute -> constitute

Hello Salvatore,

Are you willing to second it ?

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Mon, 06 Jun 2011 20:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 06 Jun 2011 20:15:05 GMT) Full text and rfc822 format available.

Message #79 received at 619275@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: 619275@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Mon, 6 Jun 2011 21:13:06 +0100
[Message part 1 (text/plain, inline)]
On Mon, Jun 06, 2011 at 07:50:20PM +0200, Bill Allombert wrote:
> On Sat, May 28, 2011 at 11:35:31PM +0200, gregor herrmann wrote:
> > On Sat, 28 May 2011 21:53:52 +0200, Bill Allombert wrote:
> > 
> > > Is there progress on the implementation of this feature ?
> > 
> > It's in perl 5.12.3 since the upload to unstable:
> > 
> > http://lists.debian.org/debian-devel-announce/2011/05/msg00006.html
> 
> So are you seconding this policy amendment ?

I'm surprised that the process allows the proposer to second, but
if that's the case, sure.

By the way, I've attached a revised patch which just currents the
spelling.

I also had a look at the bug report and it seems there has been some
traffic I didn't see; please could I or the debian-perl mailing
remain on CC lists?

Thanks for your work reviving this proposal.

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
[0001-Describe-the-Perl-upgrade-trigger.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Mon, 06 Jun 2011 20:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 06 Jun 2011 20:33:12 GMT) Full text and rfc822 format available.

Message #84 received at 619275@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Dominic Hargreaves <dom@earth.li>, 619275@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Mon, 6 Jun 2011 22:28:28 +0200
On Mon, Jun 06, 2011 at 09:13:06PM +0100, Dominic Hargreaves wrote:
> On Mon, Jun 06, 2011 at 07:50:20PM +0200, Bill Allombert wrote:
> > On Sat, May 28, 2011 at 11:35:31PM +0200, gregor herrmann wrote:
> > > On Sat, 28 May 2011 21:53:52 +0200, Bill Allombert wrote:
> > > 
> > > > Is there progress on the implementation of this feature ?
> > > 
> > > It's in perl 5.12.3 since the upload to unstable:
> > > 
> > > http://lists.debian.org/debian-devel-announce/2011/05/msg00006.html
> > 
> > So are you seconding this policy amendment ?
> 
> I'm surprised that the process allows the proposer to second, but
> if that's the case, sure.

You cannot. This was targeted at Gregor Herrmann. I CCed you as the original
bug submitter.

> By the way, I've attached a revised patch which just currents the
> spelling.
> 
> I also had a look at the bug report and it seems there has been some
> traffic I didn't see; please could I or the debian-perl mailing
> remain on CC lists?

I will keep that in mind.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Mon, 06 Jun 2011 20:33:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 06 Jun 2011 20:33:14 GMT) Full text and rfc822 format available.

Message #89 received at 619275@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: 619275@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Mon, 6 Jun 2011 21:32:25 +0100
On Mon, Jun 06, 2011 at 10:28:28PM +0200, Bill Allombert wrote:
> On Mon, Jun 06, 2011 at 09:13:06PM +0100, Dominic Hargreaves wrote:
> > On Mon, Jun 06, 2011 at 07:50:20PM +0200, Bill Allombert wrote:
> > > On Sat, May 28, 2011 at 11:35:31PM +0200, gregor herrmann wrote:
> > > > On Sat, 28 May 2011 21:53:52 +0200, Bill Allombert wrote:
> > > > 
> > > > > Is there progress on the implementation of this feature ?
> > > > 
> > > > It's in perl 5.12.3 since the upload to unstable:
> > > > 
> > > > http://lists.debian.org/debian-devel-announce/2011/05/msg00006.html
> > > 
> > > So are you seconding this policy amendment ?
> > 
> > I'm surprised that the process allows the proposer to second, but
> > if that's the case, sure.
> 
> You cannot. This was targeted at Gregor Herrmann. I CCed you as the original
> bug submitter.

Whoops! As I hadn't seen gregor's mail previously, I failed to notice
it was you you were quoting, and not me. Sorry :)

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Tue, 07 Jun 2011 06:36:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 07 Jun 2011 06:36:20 GMT) Full text and rfc822 format available.

Message #94 received at 619275@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, dom@earth.li, debian-perl@lists.debian.org, ntyni@debian.org, gregoa@debian.org
Cc: 619275@bugs.debian.org
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Tue, 7 Jun 2011 08:35:39 +0200
[Message part 1 (text/plain, inline)]
Hi Bill

On Mon, Jun 06, 2011 at 08:25:31PM +0200, Bill Allombert wrote:
> On Fri, Mar 25, 2011 at 08:31:51AM +0100, Salvatore Bonaccorso wrote:
> > Hi Dominic
> > 
> > Only read trough yet (but not native english speaker):
> > 
> > On Tue, Mar 22, 2011 at 04:35:16PM +0000, Dominic Hargreaves wrote:
> > > Signed-off-by: Dominic Hargreaves <dom@earth.li>
> > > ---
> > >  perl-policy.sgml |   20 ++++++++++++++++++++
> > >  1 files changed, 20 insertions(+), 0 deletions(-)
> > > 
> > > diff --git a/perl-policy.sgml b/perl-policy.sgml
> > > index b9f3277..47cf9f6 100644
> > > --- a/perl-policy.sgml
> > > +++ b/perl-policy.sgml
> > > @@ -461,6 +461,26 @@ perl -MExtUtils::Embed -e ldopts
> > >  	  package must depend upon it explicitly.
> > >  	</p>
> > >        </sect>
> > > +
> > > +      <sect id="perl_upgrades">
> > > +        <heading>Perl Package Upgrades</heading>
> > > +        <p>
> > > +          Starting from <package>perl</package> 5.12.3-2, a dpkg trigger
> > > +          named <var>perl-major-upgrade</var> will be triggered by the
> > > +          postinst of the <package>perl</package> package during major
> > > +          upgrades. Some examples of things which consitute a major upgrade
> > 
> > consitute -> constitute
> 
> Hello Salvatore,
> 
> Are you willing to second it ?

Yes, if Niko as maintainer of perl package with Dominic agrees on it
too, I would like to second the proposal with the latest patch
provided by Dominic (with the spelling fixes).

But I would prefer to hear opinion from Niko to be sure.

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Wed, 08 Jun 2011 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 08 Jun 2011 16:12:03 GMT) Full text and rfc822 format available.

Message #99 received at 619275@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 619275@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Wed, 8 Jun 2011 19:09:51 +0300
On Mon, Jun 06, 2011 at 09:13:06PM +0100, Dominic Hargreaves wrote:

> +      <sect id="perl_upgrades">
> +        <heading>Perl Package Upgrades</heading>
> +        <p>
> +          Starting from <package>perl</package> 5.12.3-2, a dpkg trigger
> +          named <var>perl-major-upgrade</var> will be triggered by the
> +          postinst of the <package>perl</package> package during major
> +          upgrades. Some examples of things which constitute a major upgrade
> +          are an upgrade which would change the value of versioned
> +          directories in <tt>@INC</tt>, or one which changes <tt>abiname</tt>.
> +          Any package may declare an interest in the trigger, especially
> +          packages including long-running daemons which would stop working
> +          until restart.
> +        </p>
> +        <p>
> +          It is suggested that such packages include an appropriate section
> +          in their postinst to handle the trigger by restarting relevant
> +          daemons or notifying users of further action.
> +        </p>
> +      </sect>

Seconded. Sorry for blocking this.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Wed, 08 Jun 2011 18:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 08 Jun 2011 18:00:05 GMT) Full text and rfc822 format available.

Message #104 received at 619275@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 619275@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Wed, 8 Jun 2011 19:56:34 +0200
[Message part 1 (text/plain, inline)]
On Mon, 06 Jun 2011 21:13:06 +0100, Dominic Hargreaves wrote:

> >From 87c527dce3a9f8dcaca7cf43f830ce9ff178f4e6 Mon Sep 17 00:00:00 2001
> From: Dominic Hargreaves <dom@earth.li>
> Date: Tue, 22 Mar 2011 16:11:29 +0000
> Subject: [PATCH] Describe the Perl upgrade trigger
> 
> ---
>  perl-policy.sgml |   20 ++++++++++++++++++++
>  1 files changed, 20 insertions(+), 0 deletions(-)
> 
> diff --git a/perl-policy.sgml b/perl-policy.sgml
> index b9f3277..70c5bfc 100644
> --- a/perl-policy.sgml
> +++ b/perl-policy.sgml
> @@ -461,6 +461,26 @@ perl -MExtUtils::Embed -e ldopts
>  	  package must depend upon it explicitly.
>  	</p>
>        </sect>
> +
> +      <sect id="perl_upgrades">
> +        <heading>Perl Package Upgrades</heading>
> +        <p>
> +          Starting from <package>perl</package> 5.12.3-2, a dpkg trigger
> +          named <var>perl-major-upgrade</var> will be triggered by the
> +          postinst of the <package>perl</package> package during major
> +          upgrades. Some examples of things which constitute a major upgrade
> +          are an upgrade which would change the value of versioned
> +          directories in <tt>@INC</tt>, or one which changes <tt>abiname</tt>.
> +          Any package may declare an interest in the trigger, especially
> +          packages including long-running daemons which would stop working
> +          until restart.
> +        </p>
> +        <p>
> +          It is suggested that such packages include an appropriate section
> +          in their postinst to handle the trigger by restarting relevant
> +          daemons or notifying users of further action.
> +        </p>
> +      </sect>
>      </chapt>
>  
>      <appendix id="perl6">


Seconded.

(And thanks for your work, Dominic and Niko.)

Cheers,
gregor
 
-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - PGP/GPG key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Janis Joplin: Half Moon
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Bill Allombert <ballombe@debian.org> to control@bugs.debian.org. (Wed, 08 Jun 2011 21:24:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Thu, 09 Jun 2011 07:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 09 Jun 2011 07:06:03 GMT) Full text and rfc822 format available.

Message #111 received at 619275@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, dom@earth.li, debian-perl@lists.debian.org, 619275@bugs.debian.org
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Thu, 9 Jun 2011 09:02:53 +0200
[Message part 1 (text/plain, inline)]
Hi Bill

On Tue, Jun 07, 2011 at 08:35:39AM +0200, Salvatore Bonaccorso wrote:
> Hi Bill
> 
> On Mon, Jun 06, 2011 at 08:25:31PM +0200, Bill Allombert wrote:
> > On Fri, Mar 25, 2011 at 08:31:51AM +0100, Salvatore Bonaccorso wrote:
> > > Hi Dominic
> > > 
> > > Only read trough yet (but not native english speaker):
> > > 
> > > On Tue, Mar 22, 2011 at 04:35:16PM +0000, Dominic Hargreaves wrote:
> > > > Signed-off-by: Dominic Hargreaves <dom@earth.li>
> > > > ---
> > > >  perl-policy.sgml |   20 ++++++++++++++++++++
> > > >  1 files changed, 20 insertions(+), 0 deletions(-)
> > > > 
> > > > diff --git a/perl-policy.sgml b/perl-policy.sgml
> > > > index b9f3277..47cf9f6 100644
> > > > --- a/perl-policy.sgml
> > > > +++ b/perl-policy.sgml
> > > > @@ -461,6 +461,26 @@ perl -MExtUtils::Embed -e ldopts
> > > >  	  package must depend upon it explicitly.
> > > >  	</p>
> > > >        </sect>
> > > > +
> > > > +      <sect id="perl_upgrades">
> > > > +        <heading>Perl Package Upgrades</heading>
> > > > +        <p>
> > > > +          Starting from <package>perl</package> 5.12.3-2, a dpkg trigger
> > > > +          named <var>perl-major-upgrade</var> will be triggered by the
> > > > +          postinst of the <package>perl</package> package during major
> > > > +          upgrades. Some examples of things which consitute a major upgrade
> > > 
> > > consitute -> constitute
> > 
> > Hello Salvatore,
> > 
> > Are you willing to second it ?
> 
> Yes, if Niko as maintainer of perl package with Dominic agrees on it
> too, I would like to second the proposal with the latest patch
> provided by Dominic (with the spelling fixes).
> 
> But I would prefer to hear opinion from Niko to be sure.

As Niko gave his ok too: I'm seconding the change.

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619275; Package debian-policy. (Thu, 09 Jun 2011 07:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 09 Jun 2011 07:27:03 GMT) Full text and rfc822 format available.

Message #116 received at 619275@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: dom@earth.li, debian-perl@lists.debian.org, 619275@bugs.debian.org
Cc: Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: Bug#619275: Perl Policy change to document major version upgrade trigger
Date: Thu, 9 Jun 2011 09:25:25 +0200
On Thu, Jun 09, 2011 at 09:02:53AM +0200, Salvatore Bonaccorso wrote:
> Hi Bill
> 
> On Tue, Jun 07, 2011 at 08:35:39AM +0200, Salvatore Bonaccorso wrote:
> > Hi Bill
> > 
> > On Mon, Jun 06, 2011 at 08:25:31PM +0200, Bill Allombert wrote:
> > > On Fri, Mar 25, 2011 at 08:31:51AM +0100, Salvatore Bonaccorso wrote:
> > > > Hi Dominic
> > > > 
> > > > Only read trough yet (but not native english speaker):
> > > > 
> > > > On Tue, Mar 22, 2011 at 04:35:16PM +0000, Dominic Hargreaves wrote:
> > > > > Signed-off-by: Dominic Hargreaves <dom@earth.li>
> > > > > ---
> > > > >  perl-policy.sgml |   20 ++++++++++++++++++++
> > > > >  1 files changed, 20 insertions(+), 0 deletions(-)
> > > > > 
> > > > > diff --git a/perl-policy.sgml b/perl-policy.sgml
> > > > > index b9f3277..47cf9f6 100644
> > > > > --- a/perl-policy.sgml
> > > > > +++ b/perl-policy.sgml
> > > > > @@ -461,6 +461,26 @@ perl -MExtUtils::Embed -e ldopts
> > > > >  	  package must depend upon it explicitly.
> > > > >  	</p>
> > > > >        </sect>
> > > > > +
> > > > > +      <sect id="perl_upgrades">
> > > > > +        <heading>Perl Package Upgrades</heading>
> > > > > +        <p>
> > > > > +          Starting from <package>perl</package> 5.12.3-2, a dpkg trigger
> > > > > +          named <var>perl-major-upgrade</var> will be triggered by the
> > > > > +          postinst of the <package>perl</package> package during major
> > > > > +          upgrades. Some examples of things which consitute a major upgrade
> > > > 
> > > > consitute -> constitute
> > > 
> > > Hello Salvatore,
> > > 
> > > Are you willing to second it ?
> > 
> > Yes, if Niko as maintainer of perl package with Dominic agrees on it
> > too, I would like to second the proposal with the latest patch
> > provided by Dominic (with the spelling fixes).
> > 
> > But I would prefer to hear opinion from Niko to be sure.
> 
> As Niko gave his ok too: I'm seconding the change.

Since there are no more objections and four seconds, I mark this bug as Accepted.
It is commited to the GIT policy repo.

Thanks!

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Removed tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 24 Dec 2011 19:48:07 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Thu, 23 Feb 2012 04:06:23 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Thu, 23 Feb 2012 04:06:23 GMT) Full text and rfc822 format available.

Message #123 received at 619275-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 619275-close@bugs.debian.org
Subject: Bug#619275: fixed in debian-policy 3.9.3.0
Date: Thu, 23 Feb 2012 04:02:13 +0000
Source: debian-policy
Source-Version: 3.9.3.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive:

debian-policy_3.9.3.0.dsc
  to main/d/debian-policy/debian-policy_3.9.3.0.dsc
debian-policy_3.9.3.0.tar.gz
  to main/d/debian-policy/debian-policy_3.9.3.0.tar.gz
debian-policy_3.9.3.0_all.deb
  to main/d/debian-policy/debian-policy_3.9.3.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 619275@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 22 Feb 2012 19:40:36 -0800
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.9.3.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 23712 89038 498300 532120 578421 593533 609162 617315 617516 619275 620870 621479 623050 626338 626408 626779 626796 627490 628540 633797 637614 640735 640737 641071 643690 644230 646119 646166 648387 649674 651020 658209
Changes: 
 debian-policy (3.9.3.0) unstable; urgency=low
 .
   [ Russ Allbery ]
   * Update the copyright format document to the version of DEP-5 from the
     DEP web site and apply additional changes from subsequent discussion
     in debian-devel and debian-project.  Revise for clarity, to add more
     examples, and to update the GFDL license versions.  Thanks, Steve
     Langasek, Charles Plessy, Justin B Rye, and Jonathan Nieder.
     (Closes: #658209, #648387)
   * Publish the copyright format specification as copyright-format-1.0 so
     that later versions can be added without removing previous versions of
     the standard.  Patch from Charles Plessy.  (Closes: #646119)
   * Policy: Improve Architecture field in source package
     Wording: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #626779
   * Policy: Initial Debian maintainers need not be listed in copyright
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Closes: #593533
   * Policy: Document cron job file naming restrictions
     Wording: Karl E. Jorgensen <karl@jorgensen.org.uk>
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Dominic Hargreaves <dom@earth.li>
     Seconded: Javier Fernández-Sanguino Peña <jfs@computer.org>
     Closes: #609162
   * Policy: Document issues with conflicting packages sharing a conffile
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #23712
   * Policy: Add /run FHS exception, clarify rules for /run and /var/run
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Seconded: Roger Leigh <rleigh@codelibre.net>
     Closes: #620870, #532120
   * Policy: Architecture restrictions in a dependency must be non-empty
     Wording: Stefano Zacchiroli <zack@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Colin Watson <cjwatson@debian.org>
     Closes: #498300
   * MIME Policy: Retire this document and merge it with Policy
     Wording: Ben Finney <ben+debian@benfinney.id.au>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Closes: #89038
   * Consistently use "Debian source control file" for *.dsc files and
     "Source package control file" for debian/control files.  Patch from
     Charles Plessy.  (Closes: #626796)
   * Clarify that continuation lines of the Description control field must
     contain at least one non-whitespace character.  Thanks, Guillem Jover.
     (Closes: #627490)
   * Fix the example of creating a /usr/local subdirectory to not fail if
     the chown or chmod fail.  Thanks, Joey Hess.  (Closes: #617315)
   * Clarify the requirements for symlinks from inside one top-level
     directory to another and add examples and a rationale.  Thanks,
     Carsten Hey.  (Closes: #626338)
   * Clarify that Perl Policy 2.4 is for packages built from the perl
     source package and the manual page extensions are different for
     separate module packages.  Thanks, Steve Langasek.  (Closes: #643690)
   * Say that packages in main may also not recommend packages in non-free,
     bringing the main text in line with the list of fields and in line
     with the long-standing release goal.  (Closes: #646166)
   * Resynchronize the archive section list with ftp-master, adding
     education, introspection, and metapackages.  Patch from Charles
     Plessy.  (Closes: #651020)
   * Clarify that packages in main may not declare Pre-Depends or
     Build-Depends-Indep relationships outside of main either.  Partly
     addresses #587279.
   * Fix typo in the version numbers in the dpkg-divert examples.  Thanks,
     Slavko.
   * Add the release date of 3.9.2.0 to upgrading-checklist.
   * Fix ordering of the last entries in the 3.9.2.0 upgrading-checklist.
   * Fix typo in upgrading-checklist entry for multiarch paths.  Thanks,
     Michael Dorrington.  (Closes: #626408)
   * Add id tags for each version entry in upgrading-checklist so that,
     when eventually published somewhere, other Debian web sites can link
     to specific entries.  Patch from Charles Plessy.
   * Add AGPL-3 to tools/license-count.
   * Update tools/license-count to work with the new Lintian lab layout.
   * Add build-arch and build-indep targets to debian/rules.
 .
   [ Bill Allombert ]
   * Policy: Link relationship fields (7.1) to architecture specification
     strings (11.1).
     Patch from Charles Plessy in #628174.
   * Policy: Retire legacy Motif policy (11.8.8)
     Proposed by: Justin B Rye
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Closes: #621479
   * copyright-format: Fix URL for the Eiffel Forum License.
     Reported by Thomas Preud'homme, patch by Charles Plessy.
     Closes: #623050
   * copyright-format: Update SPDX link to point to the SPDX license registry.
     Patch by Charles Plessy.  Closes: #628540
   * copyright-format: Correct or add links to SPDX.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Closes: #641071
   * Policy: Clarify that 'machine-extractable' referer the copyright
     files (12.5)
     Wording:  Charles Plessy <plessy@debian.org>
     Seconded: Bill Allombert <ballombe@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Closes: #617516
   * copyright-format: remove drivers from abstract and useless appendix
     Wording: Lars Wirzenius <liw@liw.fi>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Closes: #640735
   * copyright-format: Fix syntax of examples.
     Proposed by: Charles Plessy <plessy@debian.org>
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Closes: #649674
   * copyright-format: Clarify specification of multiple license exception:
     Wording: Steve Langasek <vorlon@debian.org>
     Seconded: Craig Small <csmall@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Seconded: Jonas Smedegaard <dr@jones.dk>
     Closes: #633797
   * copyright-format: Specify URL on www.debian.org
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: David Prévot <taffit@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Closes: #640737
   * Perl policy: Document major version upgrade trigger
     Wording: Dominic Hargreaves <dom@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Niko Tyni <ntyni@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Closes: #619275
   * Virtual: change ttf-japanese-{mincho, gothic} to
     fonts-japanese-{mincho, gothic}.
     Proposed by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Bill Allombert <ballombe@debian.org>
     Closes: #644230
   * Virtual: Retire java-compiler, java2-compiler, and java-virtual-machine.
     Proposed by: Niels Thykier <niels@thykier.net>
     Seconded: tony mancill <tmancill@debian.org>
     Seconded: Bill Allombert <ballombe@debian.org>
     Closes: #578421
   * Policy 9.10: No more recommend to call install-docs for doc-base.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Robert Luberda <robert@debian.org>
     Seconded: Raphael Hertzog <hertzog@debian.org>
     Closes: #637614
Checksums-Sha1: 
 f09d426468f56b6049b9125da20653929839ab3d 1518 debian-policy_3.9.3.0.dsc
 ccf8018f8d0bd2e362c9af50622ddd003ea52ac7 692844 debian-policy_3.9.3.0.tar.gz
 ee6c63e2c39db3cb1478ebe4115fc856a455d92b 1926768 debian-policy_3.9.3.0_all.deb
Checksums-Sha256: 
 5466d21ba0c6ede59969da1092d140eb0039e2d0fcc73911db2fcf41d193a80a 1518 debian-policy_3.9.3.0.dsc
 3d04d02064329136765d0e5926aca956d9d55ca171ad12efcbb890cffaad4a73 692844 debian-policy_3.9.3.0.tar.gz
 e456bf496aeb792c90cbbf7a8192c8cb13e5421252779d5f9cb6114a47321c3e 1926768 debian-policy_3.9.3.0_all.deb
Files: 
 d2c6604b9c75c57536ac42b04abb3eba 1518 doc optional debian-policy_3.9.3.0.dsc
 01d3630a3393d484ad765d53aca0f0fc 692844 doc optional debian-policy_3.9.3.0.tar.gz
 88e00d9c8508884a9403ae403332325a 1926768 doc optional debian-policy_3.9.3.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJPRbldAAoJEH2AMVxXNt51FqYH/222GABCa953WNu1SRxP7s7k
HttTjAFekZkxGz+EfjujDteiJg3j6ep0ebOSQXSDm2EoTJY4RtpzmSigTqw0wGC4
+uv4StQTZTK/SJD8BYq3gkrxTy2YvzmVnfh1JIr8xLy3+l7jK7zykIDlg2nwUann
rUk5mY5x0Us8XK7U6TEjyudhPqppinARoolS+bSLBlkpGokOqXILRN2V6S5q1sAN
5I0YfL3coD/b2CEpJnieSMQagsO8H0Vn0n2RgT4T8L2fXuKo2dKCWfFAv3XlwPb0
RwmIz/pl8kqsdf+fJnUGXGqxfpy+TdUAdTlPIYQTaM5dn5E1i3oH8r2hOkEHQYU=
=AEmv
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:48:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:29:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.